Package org.apache.synapse.commons.emulator.http

## Class ChannelPipelineInitializer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>
      - - org.apache.synapse.commons.emulator.http.ChannelPipelineInitializer

- All Implemented Interfaces:
    `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

      public class ChannelPipelineInitializer
      extends io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChannelPipelineInitializer​(io.netty.handler.ssl.SslContext sslCtx, EmulatorType emulatorType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initChannel​(io.netty.channel.socket.SocketChannel ch)` |
    `void` | `setConsumerContext​(HttpConsumerContext consumerContext)` |
    `void` | `setProducerOutgoingMessage​(OutgoingMessage producerOutgoingMessage)` |

    - ### Methods inherited from class io.netty.channel.ChannelInitializer

      `channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelPipelineInitializer

          public ChannelPipelineInitializer​(io.netty.handler.ssl.SslContext sslCtx,
                                            EmulatorType emulatorType)

  - ### Method Detail

    - #### initChannel

          public void initChannel​(io.netty.channel.socket.SocketChannel ch)

      Specified by:
        `initChannel` in class `io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>`

    - #### setProducerOutgoingMessage

          public void setProducerOutgoingMessage​(OutgoingMessage producerOutgoingMessage)

    - #### setConsumerContext

          public void setConsumerContext​(HttpConsumerContext consumerContext)